landscape programs wake up far too much.

Bug #340843 reported by Adam Petaccia on 2009-03-11
18
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Thomas Herve
Landscape Server
Undecided
Unassigned
landscape-client (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: landscape-client

This is on Jaunty beta:

All currently running landscape-* programs currently wake up far more than is understandable on my machine, accounting for 1.3% of all wakeups a piece (the sum of four being about 5%). A report from powertop reveals 10 wakeups (per process) during the default period. By comparison, Rhythmbox which was playing music was consuming an average of 8.2 wakeups, and Transmission actively uploading at 10KBps only had 7.7 wakeups.

As I understand it, the landscape programs don't do much without some paid support from Ubuntu, and as they are in the default install, care should be made sure that they behave and should not wake the computer up far more than it needs to.

Andreas Hasenack (ahasenack) wrote :

Thanks for reporting this. We had another open bug about this issue, but I'm closing that one in favor of this one because more details were given here.

On a related note, landscape-client is *not* installed by default. What is installed by default on servers is landscape-common, which has the landscape-sysinfo program. Do you confirm you got landscape-client installed by default on jaunty?

Changed in landscape-client:
status: New → Confirmed
Changed in landscape:
milestone: none → mountainview
Adam Petaccia (mighmos) wrote :

This machine was upgraded from 8.10; so somewhere between then and now it got installed. My logs must not go far enough back to find out when it was installed, but the earliest I could find was an upgrade on September 10th, 2008: landscape-client (0.1) to 1.0.18-0ubuntu1. I don't remember installing it myself, but as I said, my logs can neither confirm nor deny this (they go back to June 2, 2008).

Andreas Hasenack (ahasenack) wrote :

Actually that 0.1 -> 1.0.18 upgrade does tell us something.

Did you do this upgrade using apt-get? Or do-release-upgade, while Ubuntu 8.10 was still not released?

lanscape-client-0.1 was a placeholder package, not really containing any files. The do-release-upgrade program was at some point during the 8.10 development cycle modified to *not* upgrade this placeholder package to the real one, but if you did the upgrade before this change, that would explain how you ended up with the landscape-client daemons installed and running.

So, no, Ubuntu desktop or server don't install landscape-client by default. The closest to this is ubuntu server, which installs landscape-common by default, but that does not run any daemon and just provides the landscape-sysinfo tool responsible for some machine statistics that is shown during login (via motd).

Adam Petaccia (mighmos) wrote :

I mix the command line and gui tools quite frequently, so there's really no telling what happened unless apt logs which program does the install. I will remove the other landscape-[^common] packages, but the bug is still valid, I assume. (I have Ubuntu server running as well, and you're right, I found no daemons running).

Andreas Hasenack (ahasenack) wrote :

Yes, the bug is still valid.

Changed in landscape-client:
status: New → Confirmed
Changed in landscape:
status: New → Confirmed
Andreas Hasenack (ahasenack) wrote :

Decoupling server bugs from client ones.

Changed in landscape:
status: Confirmed → Invalid
Changed in landscape-client:
importance: Undecided → Low
milestone: none → 1.0.x
Thomas Herve (therve) on 2009-10-26
Changed in landscape-client:
assignee: nobody → Thomas Herve (therve)
importance: Low → High
milestone: 1.0.x → 1.4.1
Thomas Herve (therve) wrote :

This is ready to review in the attached branch. I've created a custom reactor and raised the timeout from 100ms to 1s.

Changed in landscape-client:
importance: High → Medium
tags: added: review
Jamu Kakar (jkakar) wrote :

The branch looks fine, +1. It'd be good to run a client with this
change on one of our test machines for a while, to make sure this
change doesn't introduce unwanted side-effects.

Free Ekanayaka (free.ekanayaka) wrote :

The custom reactor doesn't look to be unit-tested, but I guess the only way would be to mock everything up, and it wouldn't be that meaningful. So I second that we should check this on our test machines. I will trigger a build after this is merged.

Very nice change, +1!

tags: removed: review
Thomas Herve (therve) wrote :

Thanks, merged in r152.

Changed in landscape-client:
status: Confirmed → Fix Committed
tags: added: needs-testing
Andreas Hasenack (ahasenack) wrote :

With older landscape-client packages I was getting 10+ wakeups per second (as shown by powertop). With this new code, I get between 0 and 1 wakeups per second \o/

tags: removed: needs-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.0-0ubuntu0.10.04.0

---------------
landscape-client (1.4.0-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream release with several bug fixes:
    - Fix landscape daemons fail to start when too many groups are
      available (LP: #456124)
    - Fix landscape programs wake up far too much. (LP: #340843)
    - Fix Package manager fails with 'no such table: task' (LP #465846)
    - Fix test suite leaving temporary files around (LP #476418)
    - Fix the 1hr long wait for user data to be uploaded following a
      resynchronisation (LP #369000)

  * Add support for Ubuntu release upgrades:
    - Add helper function to fetch many files at once (LP: #450629)
    - Handle release-upgrade messages in the packagemanager
      plugin (LP: #455217)
    - Add a release-upgrader task handler (LP: #462543)
    - Support upgrade-tool environment variables (LP: #463321)

  * Add initial support for Smart package locking:
    - Detect and report changes about Smart package locks (#488108)

  * Packaging fixes:
    - Turn unnecessary Pre-Depends on python-gobject into a regular Depends
    - If it's empty, remove /etc/landscape upon purge
 -- Free Ekanayaka <email address hidden> Wed, 16 Dec 2009 10:50:05 +0100

Changed in landscape-client (Ubuntu):
status: Confirmed → Fix Released
Changed in landscape-client (Ubuntu Lucid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released

Accepted landscape-client into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Intrepid):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.0-0ubuntu0.8.10.0

---------------
landscape-client (1.4.0-0ubuntu0.8.10.0) intrepid-proposed; urgency=low

  * New upstream release (LP: #497351)

  * Bug fixes:
    - Fix landscape daemons fail to start when too many groups are
      available (LP: #456124)
    - Fix landscape programs wake up far too much. (LP: #340843)
    - Fix Package manager fails with 'no such table: task' (LP #465846)
    - Fix test suite leaving temporary files around (LP #476418)
    - Fix the 1hr long wait for user data to be uploaded following a
      resynchronisation (LP #369000)

  * Add support for Ubuntu release upgrades:
    - Add helper function to fetch many files at once (LP: #450629)
    - Handle release-upgrade messages in the packagemanager
      plugin (LP: #455217)
    - Add a release-upgrader task handler (LP: #462543)
    - Support upgrade-tool environment variables (LP: #463321)

  * Add initial support for Smart package locking:
    - Detect and report changes about Smart package locks (#488108)

  * Packaging fixes:
    - Turn unnecessary Pre-Depends on python-gobject into a regular Depends
    - If it's empty, remove /etc/landscape upon purge
 -- Free Ekanayaka <email address hidden> Wed, 16 Dec 2009 10:50:05 +0100

Changed in landscape-client (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.0-0ubuntu0.9.04.0

---------------
landscape-client (1.4.0-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream release (LP: #497351)

  * Bug fixes:
    - Fix landscape daemons fail to start when too many groups are
      available (LP: #456124)
    - Fix landscape programs wake up far too much. (LP: #340843)
    - Fix Package manager fails with 'no such table: task' (LP #465846)
    - Fix test suite leaving temporary files around (LP #476418)
    - Fix the 1hr long wait for user data to be uploaded following a
      resynchronisation (LP #369000)

  * Add support for Ubuntu release upgrades:
    - Add helper function to fetch many files at once (LP: #450629)
    - Handle release-upgrade messages in the packagemanager
      plugin (LP: #455217)
    - Add a release-upgrader task handler (LP: #462543)
    - Support upgrade-tool environment variables (LP: #463321)

  * Add initial support for Smart package locking:
    - Detect and report changes about Smart package locks (#488108)

  * Packaging fixes:
    - Turn unnecessary Pre-Depends on python-gobject into a regular Depends
    - If it's empty, remove /etc/landscape upon purge
 -- Free Ekanayaka <email address hidden> Wed, 16 Dec 2009 10:50:05 +0100

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.0-0ubuntu0.9.10.0

---------------
landscape-client (1.4.0-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream release (LP: #497351)

  * Bug fixes:
    - Fix landscape daemons fail to start when too many groups are
      available (LP: #456124)
    - Fix landscape programs wake up far too much. (LP: #340843)
    - Fix Package manager fails with 'no such table: task' (LP #465846)
    - Fix test suite leaving temporary files around (LP #476418)
    - Fix the 1hr long wait for user data to be uploaded following a
      resynchronisation (LP #369000)

  * Add support for Ubuntu release upgrades:
    - Add helper function to fetch many files at once (LP: #450629)
    - Handle release-upgrade messages in the packagemanager
      plugin (LP: #455217)
    - Add a release-upgrader task handler (LP: #462543)
    - Support upgrade-tool environment variables (LP: #463321)

  * Add initial support for Smart package locking:
    - Detect and report changes about Smart package locks (#488108)

  * Packaging fixes:
    - Turn unnecessary Pre-Depends on python-gobject into a regular Depends
    - If it's empty, remove /etc/landscape upon purge
 -- Free Ekanayaka <email address hidden> Wed, 16 Dec 2009 10:50:05 +0100

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers